Show / Hide Table of Contents

# Class OpenIddictServerHelpers

Exposes extensions simplifying the integration with the OpenIddict server services.

##### Inheritance

System.Object
OpenIddictServerHelpers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictServerHelpers

### Methods

#### GetProperty<TProperty>(OpenIddictServerTransaction, String)

Retrieves a property value from the server transaction using the specified name.

##### Declaration

    public static TProperty GetProperty<TProperty>(this OpenIddictServerTransaction transaction, string name)
        where TProperty : class

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction | The server transaction.
System.String | name | The property name.

##### Returns

Type | Description
--- | ---
TProperty | The property value or `null` if it couldn't be found.

##### Type Parameters

Name | Description
--- | ---
TProperty | The type of the property.

#### SetProperty<TProperty>(OpenIddictServerTransaction, String, TProperty)

Sets a property in the server transaction using the specified name and value.

##### Declaration

    public static OpenIddictServerTransaction SetProperty<TProperty>(this OpenIddictServerTransaction transaction, string name, TProperty value)
        where TProperty : class

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction | The server transaction.
System.String | name | The property name.
TProperty | value | The property value.

##### Returns

Type | Description
--- | ---
OpenIddictServerTransaction | The server transaction, so that calls can be easily chained.

##### Type Parameters

Name | Description
--- | ---
TProperty | The type of the property.